<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BandDataTime extends BaseModel
{
    use HasFactory;

    public $fillable = ['user_id', 'band_id', 'sleep_time', 'hrrest_time', 'temp_time', 'hrv_time', 'syn_time', 'blood_time'];

    public function scopeOwner($query, $user_id)
    {
        return $query->where("user_id", $user_id);
    }

    public function scopeBand($query, $band_id)
    {
        return $query->where("band_id", $band_id);
    }
}
